[A011]专利类型趋势分析

post
https://connect.zhihuiya.com/insights/patent-type-trend
在体验中心中试用

分析指定时间范围内不同专利类型(发明专利、实用新型、外观设计)的申请趋势。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
query
必填
stringIPC:(H04L29/06)
检索式查询语句
time_range
必填
object{ "end_year": "2025", "start_year": "2006" }
时间范围
end_year
必填
string2020
结束年份
start_year
必填
string2015
开始年份

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
source
array[ { "D": 0, "U": 3, "AB": 126, "year": "2006", "count": 129, "patents_percentage": 0.9767 }, { "D": 0, "U": 1, "AB": 189, "year": "2007", "count": 190, "patents_percentage": 0.9947 }, { "D": 0, "U": 1, "AB": 194, "year": "2008", "count": 195, "patents_percentage": 0.9949 }, { "D": 0, "U": 4, "AB": 182, "year": "2009", "count": 186, "patents_percentage": 0.9785 }, { "D": 0, "U": 10, "AB": 181, "year": "2010", "count": 191, "patents_percentage": 0.9476 }, { "D": 0, "U": 14, "AB": 172, "year": "2011", "count": 186, "patents_percentage": 0.9247 }, { "D": 0, "U": 7, "AB": 235, "year": "2012", "count": 242, "patents_percentage": 0.9711 }, { "D": 0, "U": 13, "AB": 289, "year": "2013", "count": 302, "patents_percentage": 0.957 }, { "D": 0, "U": 8, "AB": 351, "year": "2014", "count": 359, "patents_percentage": 0.9777 }, { "D": 0, "U": 8, "AB": 396, "year": "2015", "count": 404, "patents_percentage": 0.9802 }, { "D": 0, "U": 19, "AB": 494, "year": "2016", "count": 513, "patents_percentage": 0.963 }, { "D": 0, "U": 16, "AB": 534, "year": "2017", "count": 550, "patents_percentage": 0.9709 }, { "D": 0, "U": 15, "AB": 511, "year": "2018", "count": 526, "patents_percentage": 0.9715 }, { "D": 0, "U": 13, "AB": 488, "year": "2019", "count": 501, "patents_percentage": 0.9741 }, { "D": 0, "U": 17, "AB": 378, "year": "2020", "count": 395, "patents_percentage": 0.957 }, { "D": 0, "U": 9, "AB": 241, "year": "2021", "count": 250, "patents_percentage": 0.964 }, { "D": 0, "U": 0, "AB": 1, "year": "2022", "count": 1, "patents_percentage": 1 }, { "D": 0, "U": 0, "AB": 0, "year": "2023", "count": 0, "patents_percentage": 0 }, { "D": 0, "U": 0, "AB": 0, "year": "2024", "count": 0, "patents_percentage": 0 }, { "D": 0, "U": 0, "AB": 0, "year": "2025", "count": 0, "patents_percentage": 0 } ]
数据源
d
integer<int32>100
外观设计数量
u
integer<int32>400
实用新型数量
ab
integer<int32>500
发明专利数量
year
string2021
年份
count
integer<int32>1000
总数量
patents_percentage
number<double>0.8
专利百分比
dimensions
object{ "year": [ "2006", "2007", "2008", "2009", "2010", "2011", "2012", "2013", "2014", "2015", "2016", "2017", "2018", "2019", "2020", "2021", "2022", "2023", "2024", "2025" ], "count": [ "129", "190", "195", "186", "191", "186", "242", "302", "359", "404", "513", "550", "526", "501", "395", "250", "1", "0", "0", "0" ], "patent_type": [ "AB", "U", "D" ] }
维度信息
year
array[ "2006", "2007", "2008", "2009", "2010", "2011", "2012", "2013", "2014", "2015", "2016", "2017", "2018", "2019", "2020", "2021", "2022", "2023", "2024", "2025" ]
年份列表
count
array[ "129", "190", "195", "186", "191", "186", "242", "302", "359", "404", "513", "550", "526", "501", "395", "250", "1", "0", "0", "0" ]
数量列表
patent_type
array[ "AB", "U", "D" ]
专利类型列表
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "source": [
      {
        "d": 100,
        "u": 400,
        "ab": 500,
        "year": 2021,
        "count": 1000,
        "patents_percentage": 0.8
      }
    ],
    "dimensions": {
      "year": [
        "2006",
        "2007",
        "2008",
        "2009",
        "2010",
        "2011",
        "2012",
        "2013",
        "2014",
        "2015",
        "2016",
        "2017",
        "2018",
        "2019",
        "2020",
        "2021",
        "2022",
        "2023",
        "2024",
        "2025"
      ],
      "count": [
        "129",
        "190",
        "195",
        "186",
        "191",
        "186",
        "242",
        "302",
        "359",
        "404",
        "513",
        "550",
        "526",
        "501",
        "395",
        "250",
        "1",
        "0",
        "0",
        "0"
      ],
      "patent_type": [
        "AB",
        "U",
        "D"
      ]
    }
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms